<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('service_categories', function (Blueprint $table) {
            $table->dropColumn([
                'banner',
                'free_trial_title',
                'free_trial_description',
                'free_trial_link',
                'testimonials_title',
                'testimonials_description',
                'questions',
                'questions_description',
                'questions_link'
            ]);
            $table->string('more_solutions_title')->nullable();
            $table->json('solutions')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('service_categories', function (Blueprint $table) {
            //
        });
    }
};
